Dependency Error - Nvidia/AMD conflict

Asked by Brian on 2014-08-13

Why does python-pyopencl DEPEND on Nvidia proprietary drivers for OpenCL when they conflict with AMD drivers? Not every box this is targeted at will be using Nvidia hardware. OpenCL is *not* nvidia specific, so why doesn't pyopencl support AMD OpenCL **WITHOUT** Nvidia, which would of course brick my desktop environment on reboot? (OpenCL conflicts are a fact, try switching back and forth between ATI & nVidia GPU's a few times, you'll see it gets dirty).

Frankly, this dependency feels like a massive oversight for anybody running AMD hardware.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu pyopencl Edit question
Assignee:
No assignee Edit question
Last query:
2014-08-13
Last reply:
2014-08-13

I suggest you report a bug

Manfred Hampl (m-hampl) said : #2

Please provide the output of

uname -a
lsb_release -a
apt-cache policy python-pyopencl
apt-cache depends python-pyopencl

Can you help with this problem?

Provide an answer of your own, or ask Brian for more information if necessary.

To post a message you must log in.